## php7.3 7.3.33

=== debian/changelog ===
php7.3 (7.3.33-28+0~20251218.134+debian11~1.gbpb1c38f) unstable; urgency=medium

  ** SNAPSHOT build @b1c38fd35074a470f7a2aabcb5542da679d4920e **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Fri, 19 Dec 2025 00:28:02 +0100

php7.3 (7.3.33-28) unstable; urgency=medium

  * Add preliminary LiteSpeed SAPI support
  * Use --with-litespeed instead of newer --enable-litespeed
  * Fix missing include in litespeed build
  * Backported from 8.1.34
   + [CVE-2025-14180]: Fixed GHSA-8xr5-qppj-gvwj (PDO quoting result null
     deref).
   + [CVE-2025-14178]: Fixed GHSA-h96m-rvf9-jgm2 (Heap buffer overflow in
     array_merge()).
   + [CVE-2025-14177]: Fixed GHSA-3237-qqm7-mfv7 (Information Leak of
     Memory in getimagesize).

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Dec 2025 23:36:26 +0100

php7.3 (7.3.33-27) unstable; urgency=medium

  * Or just use /bin/sed; that should work everywhere

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 10:12:58 +0100

php7.3 (7.3.33-26) unstable; urgency=medium

  * Move setting ICU_CXXFLAGS to the right place in d/rules
  * Override ICU_CXXFLAGS instead of patching ext/intl/config.m4
  * Use ICU >= 75 version to determine the need for C++11 or C++17
  * Update unwanted binary file list
  * Use command -v sed to resolve path to SED
  * Workaround make $(shell ...) command unable to execute builtins

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 08:54:34 +0100

php7.3 (7.3.33-25) unstable; urgency=medium

  * Add -Wno-incompatible-pointer-types to CFLAGS to build on Debian trixie
  * Add -Wno-deprecated to CFLAGS for readdir_r
  * Force POSIX readdir_r() semantics
  * Replace individual -Wno-<*> checks with -fpermissive in the CFLAGS
  * Remove libxmltok1-dev from Build-Depends (Closes: #871826)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Apr 2025 19:24:48 +0200

php7.3 (7.3.33-24) unstable; urgency=medium

  * Backported from 8.1.31
   + [CVE-2024-8929]: Leak partial content of the heap through
     heap buffer over-read.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Dec 2024 07:17:23 +0100

php7.3 (7.3.33-23) unstable; urgency=medium

  * Remove the /usr/lib/libphp.so symbolic link if unowned (Closes: #1035798)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 09:38:13 +0100

php7.3 (7.3.33-22) unstable; urgency=medium

  * Backported from 8.1.31
   + Heap-Use-After-Free in sapi_read_post_data Processing in CLI SAPI
     Interface.
   + [CVE-2024-8932]: OOB access in ldap_escape.
   + [CVE-2024-11233]: Single byte overread with
     convert.quoted-printable-decode filter.     
   + [CVE-2024-11234]: Configuring a proxy in a stream context might allow
     for CRLF injection in URIs.
   + [CVE-2024-11236]: Integer overflow in the dblib quoter causing OOB
     writes.
   + [CVE-2024-11236]: Integer overflow in the firebird quoter causing OOB
     writes.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Nov 2024 09:35:53 +0100

php7.3 (7.3.33-21) unstable; urgency=medium

  * Backported from 8.1.30
   + [CVE-2024-8926]: Bypass of CVE-2024-4577, Parameter Injection
     Vulnerability
   + [CVE-2024-8927]: cgi.force_redirect configuration is bypassable due
     to the environment variable collision
   + [CVE-2024-8927]: Logs from FPM childrens may be altered
   + [CVE-2024-8925]: Erroneous parsing of multipart form data

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2024 06:06:36 +0200

php7.3 (7.3.33-20) unstable; urgency=medium

  * Add Restart=on-failure to the systemd service file
  * Backported from 8.1.29
   + CVE-2024-4577: Bypass of CVE-2012-1823, Argument Injection in PHP-CGI

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Aug 2024 17:51:07 +0200

php7.3 (7.3.33-19) unstable; urgency=medium

  * [CVE-2024-5458]: Filter bypass in filter_var FILTER_VALIDATE_URL

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2024 18:26:48 +0200

php7.3 (7.3.33-18) unstable; urgency=medium

  * Fix the php-config mangling script in configure embeds the options in
    a single quote

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2024 12:29:16 +0200

php7.3 (7.3.33-17) unstable; urgency=medium

  * Add -Wno-deprecated-declarations to CFLAGS to help Ubuntu 24.04 builds
  * Disable -Wall -pedantic for old PHP versions
  * Disable -Werror=implicit-function-declaration on old PHP versions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Apr 2024 03:02:30 +0200

php7.3 (7.3.33-16) unstable; urgency=medium

  * Backported from 8.1.28
   + CVE-2024-1874: Fixed bug GHSA-pc52-254m-w9w7 (Command injection via
     array-ish $command parameter of proc_open).
   + CVE-2024-2756: Fixed bug GHSA-wpj3-hf5j-x4v4 (__Host-/__Secure-
     cookie bypass due to partial CVE-2022-31629 fix).
   + CVE-2024-3096: Fixed bug GHSA-h746-cjrr-wfmr (password_verify can
     erroneously return true, opening ATO risk).

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Apr 2024 23:09:44 +0200

php7.3 (7.3.33-15) unstable; urgency=medium

  [ Ondřej Surý ]
  * Remove hardcoded dependency on libmagic1 (Closes: #1065985)

  [ Andrey Rakhmatullin ]
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066234).

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Mar 2024 09:29:00 +0100

php7.3 (7.3.33-14) unstable; urgency=medium

  * Enable DTrace on all architectures

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Sep 2023 09:02:11 +0200

php7.3 (7.3.33-13) unstable; urgency=medium

  * Change the default OPcache optimization to 0x7FFEBF5F to workaround
    known bugs in OPcache

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Aug 2023 12:16:28 +0200

php7.3 (7.3.33-12) unstable; urgency=medium

  * Backported from 8.0.30
   + CVE-2023-3823: Fixed bug GHSA-3qrf-m4j2-pcrr (Security issue with
     external entity loading in XML without enabling it).
   + CVE-2023-3824: Fixed bug GHSA-jqcx-ccgc-xwhv (Buffer mismanagement in
     phar_dir_read()).

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Aug 2023 07:42:49 +0200

php7.3 (7.3.33-11) unstable; urgency=medium

  * Backported from 8.0.29

